﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace RSTextMonitor
{
    class Character
    {
        //Should have probably used a bool array. Oh well
        public List<Point> Points { get; set; }
        public List<Point> NotPoints { get; set; }
        public int Increment { get; set; }

        public Character()
        {
            Points = new List<Point>();
            NotPoints = new List<Point>();
            Increment = 1;
        }

        public bool IsMatch(Bitmap bmp, Color color, int X, int Y)
        {
            foreach (Point p in Points)
            {
                if (!BotTools.isTolerant(color, bmp.GetPixel(p.X + X, p.Y + Y), 10))
                {
                    return false;
                }
            }
            foreach (Point p in NotPoints)
            {
                if (BotTools.isTolerant(color, bmp.GetPixel(p.X + X, p.Y + Y), 10))
                {
                    return false;
                }
            }
            return true;
        }
    }
}
